
void setup() {

    //start serial connection

  Serial.begin(9600);

  //configure pin 2 as an input and enable the internal pull-up resistor

  pinMode(4, INPUT_PULLUP);

  pinMode(0, OUTPUT);
  // initialize digital pin LED_BUILTIN as an output.
  
  pinMode(1, OUTPUT);
  pinMode(3, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(1, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(2000);  
  digitalWrite(3, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(2000);    // wait for a second
  digitalWrite(1, LOW);    // turn the LED off by making the voltage LOW
  delay(1000);                       // wait for a second
  digitalWrite(3, LOW);    // turn the LED off by making the voltage LOW
  delay(1000);
   //read the pushbutton value into a variable

  int sensorVal = digitalRead(4);

  //print out the value of the pushbutton

  Serial.println(sensorVal);

  // Keep in mind the pull-up means the pushbutton's logic is inverted. It goes

  // HIGH when it's open, and LOW when it's pressed. Turn on pin 5 when the

  // button's pressed, and off when it's not:

  if (sensorVal == HIGH) {

    digitalWrite(0, LOW);

  } else {

    digitalWrite(0, HIGH);

  }
  
}
